AppListMetaobjectFields
GET
/apps/custom-data/metaobjects/{type}/fields
const url = 'https://your-store.myciqra.com/apps/custom-data/metaobjects/example/fields';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-store.myciqra.com/apps/custom-data/metaobjects/example/fields \ --header 'Authorization: Bearer <token>'Required scope: read_metaobjects — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”type
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
description
required
null | string
key
required
string
name
required
string
position
required
integer | string format: int32
required
required
boolean
type
required
string
Examplegenerated
[ { "description": "example", "key": "example", "name": "example", "position": 1, "required": true, "type": "example", "validations": { "allowed": [ "example" ], "fileTypes": [ "example" ], "max": 1, "maxFileMb": 1, "min": 1, "regex": "example" } }]Not Found